mysql 旧版本升级至4.1以上版本的时候,当出现以下错误:

mysql 旧版本升级至4.1以上版本的时候,当出现以下错误:
Client does not support authentication protocol requested
by server; consider upgrading MySQL client

其实这是因为mysql4.1以后,密码的加密算法不一样了的缘故。
解决办法:
USE mysql;
UPDATE user SET password=old_password(‘new_password’) WHERE host=’%’ AND user=’some_user’;
FLUSH PRIVILEGES;
2、命令方法
mysql> UPDATE mysql.user SET PASSWORD = OLD_PASSWORD(‘new_password’) WHERE host=’%’ AND USER = ‘some_user’;

此条目发表在新闻头条分类目录,贴了, 标签。将固定链接加入收藏夹。